#
#	Copyright (C) 2007. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

#############################
#
#	File src.pro
#

################################
## GENERAL CONFIG
TEMPLATE = lib
TARGET = qvision
DESTDIR = ../lib
VERSION = 0.0.3

DEPENDPATH += .
INCLUDEPATH += .

RCC_DIR = ../build/rcc
MOC_DIR = ../build/moc
UI_DIR = ./ui
OBJECTS_DIR = ../build/obj

win32:CONFIG += console		# Si se quiere imprimir por pantalla en Windows
QT += opengl

# caso de linux (por ahora), definimos extensiones OpenGL para YUV acelerado.
# unix:DEFINES += LINUX_GL_YUV_ACCEL

################################
## PACKAGES INFORMATION
include(../qvision.pri)

################################
## DEPENDING PACKAGES FILES
qvcore	{
	HEADERS += qvcore/qvapplication.h qvcore/qvimagebuffer.h qvcore/qvimage.h \
			qvcore/qvworker.h qvcore/qvcamera.h qvcore/qvpropertyholder.h

	SOURCES += qvcore/qvapplication.cpp qvcore/qvimagebuffer.cpp \
			qvcore/qvimage.cpp qvcore/qvworker.cpp qvcore/qvcamera.cpp \
			qvcore/qvpropertyholder.cpp
	}

qvutils	{
	HEADERS += qvutils/qnamedpipe.h qvutils/cpustat.h
	SOURCES += qvutils/qnamedpipe.cpp qvutils/cpustat.cpp
	}

qvipp	{
	HEADERS += qvipp/qvipp.h
	SOURCES += qvipp/qvipp.cpp
	}

qvmplayercamera {
	HEADERS += qvmplayercamera/qvmplayercamera.h
	SOURCES += qvmplayercamera/qvmplayercamera.cpp
	}

qvgui	{
	RESOURCES = ./resources/qvision.qrc 
	FORMS += ui/qvcameraform.ui ui/qvisionform.ui \
		ui/qvcameraformsmall.ui ui/qvworkerformsmall.ui
 		#ui/qvdoubleparamwidget.ui \
		#ui/qvintparamwidget.ui ui/qvworkerform.ui \

	HEADERS += qvgui/qvcamerawidget.h qvgui/qvparamwidget.h \
		qvgui/qvcamerawidgetsmall.h qvgui/qvparamsinspectorwidget.h \
		qvgui/qvworkerinterfacesmall.h qvgui/qvcanvas.h qvgui/qvimagecanvas.h \
		 qvgui/qvisioninterface.h

	SOURCES += qvgui/qvcamerawidget.cpp \
		qvgui/qvcamerawidgetsmall.cpp qvgui/qvcanvas.cpp \
		qvgui/qvimagecanvas.cpp qvgui/qvisioninterface.cpp \
		qvgui/qvparamsinspectorwidget.cpp qvgui/qvparamwidget.cpp \
		qvgui/qvworkerinterfacesmall.cpp

	qwt	{
		SOURCES += qvgui/qvcpuplot.cpp
		HEADERS += qvgui/qvcpuplot.h
		}
	}

qvdta	{
	HEADERS += qvdta/qvdta.h qvdta/qvdisjointset.h qvdta/qvcomponenttree.h \
		qvdta/qvpolyline.h qvdta/qvcontour.h qvdta/qvmser.h
	SOURCES += qvdta/qvdta.cpp qvdta/qvcomponenttree.cpp qvdta/qvdisjointset.cpp \
		qvdta/qvpolyline.cpp qvdta/qvcontour.cpp qvdta/qvmser.cpp
	}

######################################################################
# Install paths

# General files
install_base.path	= $$INSTALL_PATH
install_base.files	= ../*.pri ../README ../COPYING ../COPYING.LESSER

install_lib.path	= $$INSTALL_PATH
install_lib.files	= ../lib

install_doc.path	= $$INSTALL_PATH
install_doc.files	= ../doc

# Header files
install_include_qvcore.path	= $$INSTALL_PATH/include/qvcore
install_include_qvcore.files	= qvcore/*.h

install_include_qvdta.path	= $$INSTALL_PATH/include/qvdta
install_include_qvdta.files	= qvdta/*.h

install_include_qvgui.path	= $$INSTALL_PATH/include/qvgui
install_include_qvgui.files	= qvgui/*.h

install_include_qvipp.path	= $$INSTALL_PATH/include/qvipp
install_include_qvipp.files	= qvipp/*.h

install_include_qvmplayercamera.path	= $$INSTALL_PATH/include/qvmplayercamera
install_include_qvmplayercamera.files	= qvmplayercamera/*.h

install_include_qvutils.path	= $$INSTALL_PATH/include/qvutils
install_include_qvutils.files	= qvutils/*.h

install_include_ui.path	= $$INSTALL_PATH/include/
install_include_ui.files	= ui

install_include_resources.path	= $$INSTALL_PATH/include
install_include_resources.files	= resources

#install_include_resources_images.path	= $$INSTALL_PATH/include/resources/images
#install_include_resources_images.files	= resources/images/*

######################################################################
# Install directives

INSTALLS		= install_base install_lib install_doc	\
			install_include_qvcore		\
			install_include_qvdta		\
			install_include_qvgui		\
			install_include_qvipp		\
			install_include_qvmplayercamera	\
			install_include_qvutils		\
			install_include_ui		\
			install_include_resources




